Bug 55923 - startx results in keyboard lockup and mingetty looping
startx results in keyboard lockup and mingetty looping
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-08 15:54 EST by Joshua J. Drake
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 08:08:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua J. Drake 2001-11-08 15:54:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.5) Gecko/20011014

Description of problem:
When starting XF86 via startx (*dm untested) the keyboard stops responding.

My .Xclients-default looks like:
enlightenment &
exec gnome-session

When I use just enlightenment everything is OK.  This leads me to believe
that it has something to do with gnome.

This all started happening upgrading to rawhide-20011106.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.use startx when gnome-session in ~/.Xclients-default
2.
3.
	

Actual Results:  X came up, I started an Eterm and then the keyboard locked up.


Additional info:

The following seems to be related.. remember all packages are from
rawhide-20011106

My logs got this crazy stuff in them too:
Nov  3 08:03:00 fear mysqld: Initializing MySQL database:  succeeded
Nov  7 20:22:18 fear /sbin/mingetty[9489]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:22:18 fear /sbin/mingetty[9490]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:22:18 fear /sbin/mingetty[9491]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:22:18 fear /sbin/mingetty[9492]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:22:18 fear /sbin/mingetty[9493]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:22:18 fear /sbin/mingetty[9494]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:22:18 fear /sbin/mingetty[9495]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:22:18 fear /sbin/mingetty[9496]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:22:18 fear /sbin/mingetty[9497]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:22:18 fear /sbin/mingetty[9498]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:22:18 fear init: Id "1" respawning too fast: disabled for 5 minutes
Nov  7 20:27:19 fear /sbin/mingetty[9529]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:27:19 fear /sbin/mingetty[9530]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:27:19 fear /sbin/mingetty[9531]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:27:19 fear /sbin/mingetty[9532]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:27:19 fear /sbin/mingetty[9533]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:27:19 fear /sbin/mingetty[9534]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:27:19 fear /sbin/mingetty[9535]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:27:19 fear /sbin/mingetty[9536]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:27:19 fear /sbin/mingetty[9537]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:27:19 fear /sbin/mingetty[9538]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:27:19 fear init: Id "1" respawning too fast: disabled for 5 minutes
Nov  7 20:32:20 fear /sbin/mingetty[9544]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:32:20 fear /sbin/mingetty[9545]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:32:20 fear /sbin/mingetty[9546]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:32:20 fear /sbin/mingetty[9547]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:32:20 fear /sbin/mingetty[9548]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:32:20 fear /sbin/mingetty[9549]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:32:20 fear /sbin/mingetty[9550]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:32:20 fear /sbin/mingetty[9551]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:32:20 fear /sbin/mingetty[9552]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:32:20 fear /sbin/mingetty[9553]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:32:20 fear init: Id "1" respawning too fast: disabled for 5 minutes
Nov  7 20:37:21 fear /sbin/mingetty[9554]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:37:21 fear /sbin/mingetty[9555]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:37:21 fear /sbin/mingetty[9556]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:37:21 fear /sbin/mingetty[9557]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:37:21 fear /sbin/mingetty[9558]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:37:21 fear /sbin/mingetty[9559]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:37:21 fear /sbin/mingetty[9560]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:37:21 fear /sbin/mingetty[9561]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:37:21 fear /sbin/mingetty[9562]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:37:21 fear /sbin/mingetty[9563]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:37:21 fear init: Id "1" respawning too fast: disabled for 5 minutes
Nov  7 20:42:22 fear /sbin/mingetty[9564]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:42:22 fear /sbin/mingetty[9565]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:42:22 fear /sbin/mingetty[9566]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:42:22 fear /sbin/mingetty[9567]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:42:22 fear /sbin/mingetty[9568]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:42:22 fear /sbin/mingetty[9569]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:42:22 fear /sbin/mingetty[9570]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:42:22 fear /sbin/mingetty[9571]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:42:22 fear /sbin/mingetty[9572]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:42:22 fear /sbin/mingetty[9573]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:42:22 fear init: Id "1" respawning too fast: disabled for 5 minutes
Nov  7 20:47:23 fear /sbin/mingetty[9574]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:47:23 fear /sbin/mingetty[9575]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:47:23 fear /sbin/mingetty[9576]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:47:23 fear /sbin/mingetty[9577]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:47:23 fear /sbin/mingetty[9578]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:47:23 fear /sbin/mingetty[9579]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:47:23 fear /sbin/mingetty[9580]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:47:23 fear /sbin/mingetty[9581]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:47:24 fear /sbin/mingetty[9582]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:47:24 fear /sbin/mingetty[9583]: /dev/tty1: cannot open tty:
Operation not permitted
Nov  7 20:47:24 fear init: Id "1" respawning too fast: disabled for 5 minutes
Nov  7 20:54:06 fear /sbin/mingetty[10082]: /dev/tty2: cannot open tty:
Operation not permitted
Nov  7 20:54:06 fear /sbin/mingetty[10083]: /dev/tty2: cannot open tty:
Operation not permitted
Nov  7 20:54:06 fear /sbin/mingetty[10084]: /dev/tty2: cannot open tty:
Operation not permitted
Nov  7 20:54:06 fear /sbin/mingetty[10085]: /dev/tty2: cannot open tty:
Operation not permitted
Nov  7 20:54:06 fear /sbin/mingetty[10086]: /dev/tty2: cannot open tty:
Operation not permitted
Nov  7 20:54:06 fear /sbin/mingetty[10087]: /dev/tty2: cannot open tty:
Operation not permitted
Nov  7 20:54:06 fear /sbin/mingetty[10088]: /dev/tty2: cannot open tty:
Operation not permitted
Nov  7 20:54:06 fear /sbin/mingetty[10089]: /dev/tty2: cannot open tty:
Operation not permitted
Nov  7 20:54:06 fear /sbin/mingetty[10090]: /dev/tty2: cannot open tty:
Operation not permitted
Nov  7 20:54:06 fear /sbin/mingetty[10091]: /dev/tty2: cannot open tty:
Operation not permitted
Nov  7 20:54:06 fear init: Id "2" respawning too fast: disabled for 5 minutes
Nov  7 20:59:36 fear /sbin/mingetty[10585]: tty2: invalid character ? in
login name
Nov  7 20:59:36 fear /sbin/mingetty[10586]: tty2: invalid character ^O in
login name
Nov  7 20:59:36 fear /sbin/mingetty[10587]: tty2: invalid character \217 in
login name
Nov  7 20:59:37 fear /sbin/mingetty[10588]: tty2: invalid character ? in
login name
Nov  7 20:59:37 fear /sbin/mingetty[10589]: tty2: invalid character ^O in
login name
Nov  7 20:59:37 fear /sbin/mingetty[10590]: tty2: invalid character \217 in
login name
Nov  7 20:59:37 fear /sbin/mingetty[10591]: tty2: invalid character ? in
login name
Nov  7 20:59:38 fear /sbin/mingetty[10592]: tty2: invalid character ? in
login name
Nov  7 20:59:38 fear /sbin/mingetty[10593]: tty2: invalid character ? in
login name
Nov  7 20:59:39 fear /sbin/mingetty[10594]: tty2: invalid character ? in
login name
Nov  7 20:59:39 fear init: Id "2" respawning too fast: disabled for 5 minutes
Nov  7 21:08:48 fear /sbin/mingetty[10603]: tty2: invalid character ? in
login name
Nov  7 21:08:48 fear /sbin/mingetty[10618]: tty2: invalid character ? in
login name
Nov  7 21:08:48 fear /sbin/mingetty[10619]: tty2: invalid character ? in
login name
Nov  7 21:08:48 fear /sbin/mingetty[10620]: tty2: invalid character ? in
login name
Nov  7 21:08:49 fear /sbin/mingetty[10621]: tty2: invalid character ? in
login name
Nov  7 21:08:49 fear /sbin/mingetty[10622]: tty2: invalid character ? in
login name
Nov  7 21:08:49 fear /sbin/mingetty[10623]: tty2: invalid character ? in
login name
Nov  7 21:10:04 fear /sbin/mingetty[10624]: tty2: invalid character ^\ in
login name
Nov  7 21:10:04 fear /sbin/mingetty[10625]: tty2: invalid character \234 in
login name
Nov  7 21:10:04 fear /sbin/mingetty[10626]: tty2: invalid character ^\ in
login name
Nov  7 21:10:04 fear /sbin/mingetty[10627]: tty2: invalid character \234 in
login name
Nov  7 21:10:04 fear init: Id "2" respawning too fast: disabled for 5 minutes
Nov  7 21:18:03 fear init: Re-reading inittab
Nov  7 21:21:50 fear /sbin/mingetty[10633]: tty2: invalid character ? in
login name
Comment 1 Bill Nottingham 2001-11-08 21:17:14 EST
What are the permissions on /dev/tty1, or /dev/tty2?
Comment 2 Joshua J. Drake 2001-11-08 21:50:40 EST
I am logged in running startx on tty1.
crw--w----    1 jdrake   tty        4,   1 Nov  8 12:13 /dev/tty1

There is currently no login on tty2.
crw-------    1 root     root       4,   2 Nov  8 12:07 /dev/tty2
At first I was executing "startx & sleep 40 ; clear ;logout" but assuming that
was the problem I reverted to not logging out and it still occurred.

The first time I tried to restart X after upgrading was on tty1 and then on tty2.

Additionally even after exiting X I cannot get back to console without logging
in remotely and running startx as root and exiting it.

After a while of testing I completely lost access to console and had to reboot
remotely.  
Comment 3 Mike A. Harris 2001-11-19 17:56:34 EST
It works for me.  Looks like some sort of local misconfiguration issue.
Comment 4 Sammy 2001-11-23 23:11:11 EST
I have been struggling with the exact same problem, when X is started
from inittab x respawns too fast with the identical keyboard local problem
sometime after starting a session.

I also cannot get back to console after lockup...I have not changed any
configuration files. I use KDE but I started X explicitly from console
and the same things happened. Something has changed some place
perhaps not X itself that is causing the problem. I had this with three
different computers!!!!
Comment 5 Sammy 2001-11-23 23:48:04 EST
OK.....I had dealt with this problem a couple of years ago. There is
a file /etc/sysconfig/i18n which is read from /etc/profile.d/lang.sh
which is executed from /etc/X11/prefdm.

In this file there are three lines:

LANG="en_US"
SYSFONT="lat0-sun16"
SYSFONTACM="iso01"

The last two should not be there OR the whole file should not be there.
When I do rpm -q -f /etc/sysconfig/i18n rpm sais this file does not
belong to any package! It seems like something put it there but did not
remove it.
Comment 6 Joshua J. Drake 2001-11-24 17:07:07 EST
That file does not exist on my machine.  Therefore I assume it could not be the
problem.  Furthermore I don't even use prefdm or and display manager..  It works
fine if I run just enlighenment, but with gnome-session and enlightenment it 
locks up.
Comment 7 Sammy 2001-11-26 09:38:38 EST
Yes....the /etc/sysconfig/i18n did cure by "x" respawning too fast problem
but the lockup is still there. In my case it is now happening when I leave
the system with either xlock or kdm screens for a long time!! It used to
happen every minute while typing in konsole window etc. and even with
pure X with no window managers. What kernel are you running?

MHARRIS (Mike?)....I think this is a real bug introduced by some other
package in rawhide because it started happening to jdrake and me at
about the same time. I downgraded two systems down to earlier rawhide/7.2
and they are not locking up anymore.
Comment 8 Joshua J. Drake 2001-12-04 05:32:32 EST
it just happened again, but this time without gnome...
what i did:
1. sitting in X, ctrl-alt-f3 to get back to console
2. typed in %s%s%s for login name
3. switched back to X
4. continued use as normal...
now when mingetty timed out and respawned the "Operation not permitted" messages started
the keyboard locked up and i could not do anything with it, but the mouse still worked..
using gcharmap to copy/paste to type i saw that no process was taking a large amount of cpu, but gkrellm was showing 99%..
upon trying to run startx -- -verbose 999 i got a bunch of "select returned 0" messages when the keyboard stopped responding...
unlike before, I can't get back to console at all now, i will have to reboot..  i'm fairly sure that the problem lies with XFree86.
Comment 9 Sammy 2001-12-05 09:01:06 EST
It is still happening here too (XFree86-4.1.0-9 and latest rawhide always). In
my case now keyboard locks after I leave the system at the kdm login screen
for a long time - e.g. goes into black screen mode and it starts frantically restarting
itself e.g. the screen is black but you see a line across coming on and off very
fast....something is respawning very fast.

Just a thought.....is everything compiled with the new png package? I had to
recompile all of KDE-2.2.2 packages and qt, and some others that I noticed were
having incompatibility problems if they were compiled with the older png. 

Comment 10 CoreDump 2001-12-15 19:02:13 EST
I have similar problems as follows:

1. sometimes my keyboard locks up (in X), mouse still works, system is still
running, at the same time as the keyboard locks up the following lines appear in
/var/log/messages: Dec 16 00:26:32 avenger /sbin/mingetty[1727]: /dev/tty2:
cannot open tty: Operation not permitted
If i try to leave X by closing it, the whole system goes black, i don't get back
to the virtual console. If i cut/paste a reboot command by mouse (now i always
have a root window with reboot pre-typed :), the system will reboot but i don't
see any console messages.

2. if the system is left unattended in X it first goes screensaving (good), but
then the screen starts flickering as if the screensaver switches on/off really
fast. Moving the mouse heals it, hitting a key won't (as the keyboard is already
frozen by this time).

3. if the system is left unattended in X (maybe 1 download running) its harddisk
starts running, the system slows down completely. (keyboard don't work, mouse
works at a rate of 1 click/minute).

4. not related but, at startup i get a message that X cannot establish a
connection to the esound driver (not exactly these words), i have an option
f1/f2/f3, pressing f2 always succeed to make the sound working.
esound version: 0.2.22-5
XFree86 version: 4.1.0-12
enlightenment: 0.16.4-11
I have no gnome/KDE so this should be some core XFree86 bug(s).
The problem is around at least since the beginning of november, but i always
hoped a new upgrade will fix it. :(
Comment 11 Mike A. Harris 2002-07-29 21:28:10 EDT
DEFERRING bug awaiting upstream XFree86.org fix in future release of
XFree86.
Comment 12 Mike A. Harris 2005-04-20 08:08:54 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".


Note You need to log in before you can comment on or make changes to this bug.